Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gentoo一换自编译的内核-env-update和emerge命令就报错
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese)
View previous topic :: View next topic  
Author Message
prettya1
n00b
n00b


Joined: 17 Mar 2013
Posts: 3

PostPosted: Sun Mar 17, 2013 12:44 pm    Post subject: gentoo一换自编译的内核-env-update和emerge命令就报错 Reply with quote

大家好:

我遇到一个奇怪的现象:

我的gentoo是通过网站上下载的mini_iso启动进入的。将最新的stage3和portage解析到分区(/dev/sdb1)中,grub使用以前的。
同时内核(3.8.0)是自己wget ; make menuconfig; make -j 2 bzImage ; make -j 2 modules组成的系统。

mini_iso的内核是 3.5.7-gentoo。当我用mini_iso启动,chroot stage3环境中,env-update ; emerge命令均正常。直接用3.5.7-gentoo启动 sdb1中的rootfs也正常。

当我用3.8.0启动后,系统可以正常进入cli,但执行 env-update命令就报错,如下:
Error: need super user .

同时 emerge 不带参数,也会出现很多的 python的错误,最后一条错误是 IOerror:....记不太清楚了。
---------------------------------------------------------------------------------------------------------------

然后我又用3.5.7-gentoo启动 sdb1中的系统:
# emerge gentoo-sources
# gzip -dc /proc/config.gz >/usr/src/linux-3.7.10-gentoo/.config
# make -j 2 bzImage
# make -j 2 modules
用3.7.10-gentoo启动后,env-update ; emerge命令还是报和前面一样的错误。


不知道是不是自编译的内核少了某些选项等。大家帮看下,如果需要我提供什么信息,我明天晚上附上。谢谢。
Back to top
View user's profile Send private message
kelvansun
n00b
n00b


Joined: 19 Mar 2013
Posts: 1

PostPosted: Tue Mar 19, 2013 12:03 pm    Post subject: Re: gentoo一换自编译的内核-env-update和emerge命令就报错 Reply with quote

直接用genkernel来编译gentoo-source吧,这样问题会少很多的!

prettya1 wrote:
大家好:

我遇到一个奇怪的现象:

我的gentoo是通过网站上下载的mini_iso启动进入的。将最新的stage3和portage解析到分区(/dev/sdb1)中,grub使用以前的。
同时内核(3.8.0)是自己wget ; make menuconfig; make -j 2 bzImage ; make -j 2 modules组成的系统。

mini_iso的内核是 3.5.7-gentoo。当我用mini_iso启动,chroot stage3环境中,env-update ; emerge命令均正常。直接用3.5.7-gentoo启动 sdb1中的rootfs也正常。

当我用3.8.0启动后,系统可以正常进入cli,但执行 env-update命令就报错,如下:
Error: need super user .

同时 emerge 不带参数,也会出现很多的 python的错误,最后一条错误是 IOerror:....记不太清楚了。
---------------------------------------------------------------------------------------------------------------

然后我又用3.5.7-gentoo启动 sdb1中的系统:
# emerge gentoo-sources
# gzip -dc /proc/config.gz >/usr/src/linux-3.7.10-gentoo/.config
# make -j 2 bzImage
# make -j 2 modules
用3.7.10-gentoo启动后,env-update ; emerge命令还是报和前面一样的错误。


不知道是不是自编译的内核少了某些选项等。大家帮看下,如果需要我提供什么信息,我明天晚上附上。谢谢。
Back to top
View user's profile Send private message
shanpo
n00b
n00b


Joined: 06 Oct 2012
Posts: 11

PostPosted: Wed Mar 20, 2013 2:30 pm    Post subject: Reply with quote

我从来不用genkernel编译内核,在default配置上增加个人定制的驱动和功能,ramfs也自己做,然后与内核一起打包,

stage3包内的系统软件版本比较旧,用mini-iso启动后,配置好网络,chroot,首先同步portage树,配置profile,然后设置语言、时区,更新gcc,更新工具链...,基本上rootfs安装完,最后才配置和编译内核,包含内核驱动模块的系统软件要在内核编译后再安装;用上述步骤在不同机器上装了十几遍了,没出过问题。
Back to top
View user's profile Send private message
prettya1
n00b
n00b


Joined: 17 Mar 2013
Posts: 3

PostPosted: Sun Mar 24, 2013 1:38 am    Post subject: Reply with quote

谢谢两位,在尝试 genkernel了,是没有这种错误提示了。 感觉 gentoo内部挺复杂的,对系统的检测比较严格。

下次有时间尝试下更新工具链。
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum